### Function

# GdkPixbuf PixbufModuleSaveFunc

#### Declaration

    gboolean
    (* GdkPixbufModuleSaveFunc) (
      FILE* f,
      GdkPixbuf* pixbuf,
      gchar** param_keys,
      gchar** param_values,
      GError** error
    )

#### Description [src]

Saves a `GdkPixbuf` into a standard C file stream.

The optional `param_keys` and `param_values` arrays contain the keys and values (in the same order) for attributes to be saved alongside the image data.

#### Parameters

`f`

  Type: `FILE*`

  The file stream into which the image should be saved.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`pixbuf`

  Type: `GdkPixbuf`

  The image to save.

  The data is owned by the caller of the function.

`param_keys`

  Type: An array of `gchar*`

  Parameter keys to save.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`param_values`

  Type: An array of `gchar*`

  Parameter values to save.

  The argument can be `NULL`.
  The array must be `NULL`-terminated.
  The data is owned by the caller of the function.
  Each element is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` on success; in case of failure, `FALSE` is returned and the `error` is set.